package aicg.wipf.vzuj

import aicg.wipf.keyu.bzsb.ttlt.Awoo
import aicg.wipf.vzuj.Kmqp.string
import com.blankj.utilcode.util.AppUtils
import com.blankj.utilcode.util.SPUtils
import com.test.basd.smartjunkcleaner.R

object Npaq {

    var ifGuest = false
        get() {
            return SPUtils.getInstance().getBoolean(R.string.ފބބޣގ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ފބބޣގ_D.string(), value, true)
        }

    var ifAgreePrivacy = false
        get() {
            return SPUtils.getInstance().getBoolean(R.string.ނސޡއޝ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ނސޡއޝ_D.string(), value, true)
        }

    var junkSizeClean = 0L
        get() {
            return SPUtils.getInstance().getLong(R.string.ޝލޝޠޚ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ޝލޝޠޚ_D.string(), value)
        }

    val noLoadingActivities = listOf(
        R.string.ހޚވޖޘ_D.string(), R.string.ޤޔސޔނ_D.string(), Awoo::class.java.simpleName

    )

    val packageName = R.string.ޟސސރނ_D.string()

    val nativeAdmobId = R.string.ތފޛޥޖ_D.string()

    val interAdmobId = R.string.ބދޗވޏ_D.string()

    val openAdmobId = R.string.ޟޖޒސޜ_D.string()

    val apiUrl = R.string.ފރޠޝޢ_D.string()

    val eventUrl = R.string.ޖޛޛބޡ_D.string()

    var appList: List<AppUtils.AppInfo>? = null

    var isOpenNotification = false

    var gid = ""
}